/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 */
package org.glite.data.transfer;


/**
 * Summary of existing job on the server.
 */
public class JobStatus {
	
	/**
	 * The ID of the job the information refers to.
	 */
    public String jobID;
    
    /**
     * Current status of the job.
     */
    public String jobStatus;
    
    /**
     * The name of the channel the job was assigned to (null if no channel assigned).
     */
    public String channelName;
    
    /**
     * Distinguished Name (DN) of client owning job.
     */
    public String clientDN;
    
    /**
     * Small reason reporting problems while processing the job.
     */
    public String reason;
    
    /**
     * Name of VO owning job.
     */
    public String voName;
    
    /**
     * Time of submission.
     */
    public long submitTime;
    
    /**
     * Number of files (transfers) that are part of the job.
     */
    public int numFiles;
    
    /**
     * Job priority on the server.
     */
    public int priority;
}
