/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 */

package org.glite.data.transfer;


/**
 * Roles definitions.
 */
public class Roles {
    /** 
     * The DN of the client owning these roles.
     */
    public String clientDN;

    /**
     * Null if the client is not a service admin. Holds the
     * principal giving it this role otherwise.
     */
    public String serviceAdmin;
    
    /**
     * Null if the client does not have submit privileges. Holds the
     * principal giving it this role otherwise.
     */
    public String submitter;
    
    /**
     * Holds a list of pairs VOName/principal, where the 
     * VOName holds the name of a VO for which the client is
     * a manager, and the principal holds the principal that
     * gives this role to the client (VOMS role or DN).
     */
    public StringPair[] VOManager;

    /**
     * Holds a list of pairs channelName/principal, where the 
     * channelName holds the name of a channel for which the client is
     * a manager, and the principal holds the principal that
     * gives this role to the client (VOMS role or DN).
     */
    public StringPair[] channelManager;

}
