/*
 * Copyright (c) 2004-2009. on behalf of the EU EGEE Project:
 * The European Organization for Nuclear Research (CERN),
 * Istituto Nazionale di Fisica Nucleare (INFN), Italy
 * Datamat Spa, Italy
 * Centre National de la Recherche Scientifique (CNRS), France
 * CS Systeme d'Information (CSSI), France
 * Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
 * Universiteit van Amsterdam (UvA), Netherlands
 * University of Helsinki (UH.HIP), Finland
 * University of Bergen (UiB), Norway
 * Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
 *
 * File: TransferJob2.java
 *         
 * Authors: 
 *      Akos Frohner <Akos.Frohner@cern.ch>
 *      Gavin McCance <gavin.mccance@cern.ch>
 *
 */

package org.glite.data.transfer;

/**
 * Describes the transfer job description. It consists of an array of
 * TransferJobElements each describing an individual file transfer within the
 * job. jobParams are a set of transfer layer specific paramaters tha tare
 * applied to each file transfer (e.g. gridFTP params); this is for future
 * use and is not currently taken into account. The credential is used by the
 * transfer system to retrieve the appropriate proxy for the transfer.
 */
public class TransferJob2 {

    public TransferJobElement2[] transferJobElements;

    public TransferParams jobParams;

    public String credential;

}
