/*
 * Copyright (c) 2004 on behalf of the EU EGEE Project:
 * The European Organization for Nuclear Research (CERN),
 * Istituto Nazionale di Fisica Nucleare (INFN), Italy
 * Datamat Spa, Italy
 * Centre National de la Recherche Scientifique (CNRS), France
 * CS Systeme d'Information (CSSI), France
 * Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
 * Universiteit van Amsterdam (UvA), Netherlands
 * University of Helsinki (UH.HIP), Finland
 * University of Bergen (UiB), Norway
 * Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
 *
 * File: TransferJobElement.java
 *         
 * Authors: Gavin McCance <gavin.mccance@cern.ch>
 *
 * Version info: $Id: TransferJobElement.java,v 1.9 2008/03/17 13:45:37 knienart Exp $
 * Release: $Name: glite-data-transfer-interface_R_3_7_0_1 $
 *
 * Revision history:
 * $Log: TransferJobElement.java,v $
 * Revision 1.9  2008/03/17 13:45:37  knienart
 * 3.4 additions - targetDirCheck and urlCopyFirstTxmarkTo added
 *
 * Revision 1.8  2005/07/22 08:55:39  rbritoda
 * updates on documentation. removed not necessary classes in the interface. removed TransferFetcher interface. added setJobPriority method to the FileTransfer/Placement interface.
 *
 * Revision 1.7  2005/02/21 09:10:02  mccance
 * Interface version 2.4.0.
 *  - updated docu.
 *  - added credential to TransferJob for myproxy passwd.
 *
 * Revision 1.6  2005/02/18 16:10:56  mccance
 * Individual file Transfer params removed from interface.
 *
 * Revision 1.5  2005/02/07 16:40:33  szamsu
 * merging back from RC1
 *
 * Revision 1.4  2004/08/31 08:35:56  mccance
 * Exception n9o longer inherit. Problems with serialization. Getters and Setters removed on all methods - they interfere with the autogenerated setters and getters
 *
 * Revision 1.3  2004/08/20 08:14:10  mccance
 * updated interfaces to match comments received. Removed start. Expanded explanations.
 *
 * Revision 1.2  2004/07/30 14:37:23  mccance
 * beautify the javadoc.
 *
 * Revision 1.1  2004/07/29 15:32:13  mccance
 * refactored interfaces:
 * filetransfer: internal
 * datascheduler: added, external, matching to LCG
 * fileplacement: extra, same interface as scheduler.
 *
 *
 */

package org.glite.data.transfer;

/**
 * This describes a single file transfer within a job.
 */
public class TransferJobElement {

	/**
	 * The source file of the transfer.
	 */
    public String source;

    /**
     * The destination file of the transfer.
     */
    public String dest;

}
