/*
 * Copyright (c) 2004 on behalf of the EU EGEE Project:
 * The European Organization for Nuclear Research (CERN),
 * Istituto Nazionale di Fisica Nucleare (INFN), Italy
 * Datamat Spa, Italy
 * Centre National de la Recherche Scientifique (CNRS), France
 * CS Systeme d'Information (CSSI), France
 * Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
 * Universiteit van Amsterdam (UvA), Netherlands
 * University of Helsinki (UH.HIP), Finland
 * University of Bergen (UiB), Norway
 * Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
 *
 * File: TransferParams.java
 *         
 * Authors: Gavin McCance <gavin.mccance@cern.ch>
 *
 * Version info: $Id: TransferParams.java,v 1.6 2008/03/17 13:45:37 knienart Exp $
 * Release: $Name: glite-data-transfer-interface_R_3_7_0_1 $
 *
 * Revision history:
 * $Log: TransferParams.java,v $
 * Revision 1.6  2008/03/17 13:45:37  knienart
 * 3.4 additions - targetDirCheck and urlCopyFirstTxmarkTo added
 *
 * Revision 1.5  2005/02/07 16:40:33  szamsu
 * merging back from RC1
 *
 * Revision 1.4  2004/08/26 09:18:40  mccance
 * remove setters, getters and other method to fix serialization problem
 *
 * Revision 1.3  2004/08/26 08:58:37  mccance
 * added more exceptions to filetransfer. added getter/seters on transferparams
 *
 * Revision 1.2  2004/08/06 09:11:16  mccance
 * Added explicit exception names. Reformated some code.
 *
 * Revision 1.1  2004/07/29 15:32:13  mccance
 * refactored interfaces:
 * filetransfer: internal
 * datascheduler: added, external, matching to LCG
 * fileplacement: extra, same interface as scheduler.
 *
 * Revision 1.1  2004/07/26 11:36:14  mccance
 * Outstanding schoolboy error.. fixed xross module screw up as a result of cp -r with CVS directories...
 *
 * Revision 1.1  2004/07/26 09:50:44  mccance
 * Refactoring interface out of org.glite.data.transfer.
 * Interface updated as a result of discussion with LCG.
 *
 *
 */

package org.glite.data.transfer;

/**
 * A set of key-value pairs to be used as hints for the transport.
 * (e.g. GridFTP paramaters.)
 */
public class TransferParams {

    /**
     * The paramater keys.
     */
    public String[] keys;

    /**
     * The parameter values.
     */
    public String values[];

}
